com.h3c.sdn.backup

## Class BackupInformation

- java.lang.Object
- - com.h3c.sdn.backup.BackupInformation

- All Implemented Interfaces:
    Serializable

      public class BackupInformation
      extends Object
      implements Serializable

  Backup Information.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackupInformation(String controllerVersion, Token t)` Create BackupInformation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getControllerVersion()`
    `Date` | `getDateTime()` Get Date and time.
    `Token` | `getToken()` Get Token instance.
    `static BackupInformation` | `readBackupInfo(File file)`
    `void` | `setControllerVersion(String controllerVersion)`
    `void` | `setDateTime(Date d)` Set date and time.
    `void` | `setToken(Token t)` Set Token instance.
    `static void` | `writeBackupInfo(BackupInformation backupInformation, File file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackupInformation

          public BackupInformation(String controllerVersion,
                           Token t)

      Create BackupInformation.
      Parameters:
        `controllerVersion` - the controller version
        `t` - Token instance

  - ### Method Detail

    - #### getControllerVersion

          public String getControllerVersion()

    - #### setControllerVersion

          public void setControllerVersion(String controllerVersion)

    - #### getToken

          public Token getToken()

      Get Token instance.
      Returns:
        token Token instance

    - #### getDateTime

          public Date getDateTime()

      Get Date and time.
      Returns:
        date Date instance

    - #### setToken

          public void setToken(Token t)

      Set Token instance.
      Parameters:
        `t` - Token instance

    - #### setDateTime

          public void setDateTime(Date d)

      Set date and time.
      Parameters:
        `d` - Date instance

    - #### writeBackupInfo

          public static void writeBackupInfo(BackupInformation backupInformation,
                             File file)

    - #### readBackupInfo

          public static BackupInformation readBackupInfo(File file)

Copyright © 2014. All Rights Reserved.